Skip to navigation
EndpointUpdate an endpoint

Update an endpoint

Updates the details of an endpoint.

Execute this operation sequentially - wait for each request to complete before starting the next.

For bulk updates, use PATCH /api/v2/endpoint/multi instead (supports up to 2,000 endpoints).

Telia charges for activated SIMs, even if the endpoint status is set to Disabled. To avoid accruing unexpected charges, update the SIM status to Suspended ("id": 2).

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

endpoint_idintegerRequired
Numeric ID of an endpoint

Request

This endpoint expects an object.
service_profileobjectRequired
tariff_profileobjectRequired
statusobjectRequired
ip_address_spaceobjectRequired
simobjectRequired
namestringRequired
imeistringRequired
imei_lockbooleanRequired
ip_addressstringRequired
tag_assignmentslist of integersOptional

IDs of existing tags replacing the tags currently assigned to the endpoint. An empty array removes all tags.

Mutually exclusive with tags. Provide at most one of the two.

tagsstring or nullOptionalDeprecated

Comma-separated tag names replacing the tags currently assigned to the endpoint. Tags that don’t exist yet are created, an empty string removes all tags. Sending null leaves the current tags unchanged, the same as omitting the field.

Deprecated. Use tag_assignments instead.

Response

Endpoint updated successfully

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error